Bug 1224597 - Oversized directory icons
Summary: Oversized directory icons
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-25 04:50 UTC by Ralf Corsepius
Modified: 2016-07-19 14:14 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 14:14:15 UTC
Type: Bug


Attachments (Terms of Use)
Screenshot of oversized directory icon in nautlius with Fedora icon theme (75.69 KB, image/png)
2015-05-25 04:50 UTC, Ralf Corsepius
no flags Details

Description Ralf Corsepius 2015-05-25 04:50:05 UTC
Created attachment 1029343 [details]
Screenshot of oversized directory icon in nautlius with Fedora icon theme

Description of problem:

In fc22, I am observing unreasonably oversized directory icons (256x256?) in nautilus, much bigger than file icons (64x64?).

Trying to investigate seems to indicate this issue could be related to the icon theme being used. I am observing this behavior when using the "Fedora" icon theme, but not when using the "gnome" icon theme.


Version-Release number of selected component (if applicable):
nautilus-3.16.2-1.fc22.x86_64

fedora-icon-theme-1.0.0-16.fc21.noarch
gnome-icon-theme-3.12.0-2.fc21.noarch


How reproducible:
Always, on several machines.

Steps to Reproduce:
1. Log in into an xfce-desktop
2. create a sample directory and populate it:
# mkdir Test
# touch Test/file.txt
# mkdir Test/subfolder
3. launch nautilus and navigate into the "Test" directory

Use the xfce-theme-manager to change the icon theme.

Actual results:
- With the Fedora icon theme, "subfolder" is being displayed with a huge icon (256x256?), while "file.txt" is being displayed with a "normal-sized" icon (64x64?)
- With the Gnome icon theme, both "subfolder" and "file.txt" are being displayed at the same size (64x64?)
- The behavior of other icon themes varies.


Expected results:
All icons being displayed with the same, "reasonable" size.

Additional info:
- f21 did not expose this behavior.
- Using nautilus's "size slider" with the Fedora icon theme, seems to resize "file" icons, but keeps "directory" icons constantly "huge"

Comment 1 Carlos Soriano 2015-05-27 14:04:13 UTC
gtk+ changed at some point and now respect sizes of the theme, which makes gtk returning a different size of what nautilus ask for.

upstream report:
https://bugzilla.gnome.org/show_bug.cgi?id=749969

Comment 2 Alexander Ploumistos 2015-06-06 22:15:04 UTC
So this can only be fixed in nautilus or is it possible to patch the icon theme?

Comment 3 Carlos Soriano 2015-06-08 07:29:20 UTC
(In reply to Alexander Ploumistos from comment #2)
> So this can only be fixed in nautilus or is it possible to patch the icon
> theme?

The actual good fix would be in the theme, but nautilus should manage it gracefully anyway.

Comment 4 Ricardo Arguello 2015-09-21 00:53:19 UTC
Fixed upstream

Comment 5 Ralf Corsepius 2015-09-21 03:22:48 UTC
(In reply to Ricardo Arguello from comment #4)
> Fixed upstream

Could you please point me to the corresponding upstream bug fix and to the corresponding Fedora packages containing these fixed packages?

AFAIS, this bug is still present in Fedora 22 and 23.

Comment 6 Ricardo Arguello 2015-09-21 04:23:29 UTC
Upstream bug https://bugzilla.gnome.org/show_bug.cgi?id=749969 was resolved.

Comment 7 Ralf Corsepius 2015-09-21 04:36:35 UTC
Reopening. Bug is NOT fixed in Fedora.

Comment 8 Fedora End Of Life 2016-07-19 14:14:15 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.